define(['Magento_Checkout/js/action/get-payment-information'], function (getPaymentInformation) {
    'use strict';

    var mixin = {
		_isNeededCreateAccountFunc: function (state) {
			getPaymentInformation();
			
			this._super(state);
        }	
    };
    
    return function(target) {
    	return target.extend(mixin);
    }
});
